﻿using System;
using System.Windows.Forms;

namespace Demo.View.UserControls
{
    public partial class FeaturesMaster : UserControl
    {
        public FeaturesMaster()
        {
            InitializeComponent();
            Load += featuresVariationLoad;
        }

        public event EventHandler<EventArgs> DecryptRequested;
        public event EventHandler<EventArgs> EncryptRequested;

        private void btnDecrypt_Click(object sender, EventArgs e)
        {
            DecryptRequested(sender, e);
        }

        private void btnEncrypt_Click(object sender, EventArgs e)
        {
            EncryptRequested(sender, e);
        }

        private void featuresVariationLoad(object sender, EventArgs e)
        {
            btnEncrypt.Click += btnEncrypt_Click;
            btnDecrypt.Click += btnDecrypt_Click;
        }

        private void flowLayoutFeatures_Paint(object sender, PaintEventArgs e)
        {

        }
    }
}