using System;

namespace Demo.Model
{
    public class CipherVariationLog
    {
        private readonly int _cipherLength;
        private readonly string _description;
        private readonly DateTime _timeStamp;
        public CipherVariationLog(int cipherLength, string description, DateTime timeStamp)
        {
            _cipherLength = cipherLength;
            _timeStamp = timeStamp;
            _description = description;
        }

        public DateTime TimeStamp
        {
            get { return _timeStamp; }
        }

        public string Description
        {
            get { return _description; }
        }

        public int CipherLength
        {
            get { return _cipherLength; }
        }
    }
}