using System;
using System.Windows.Forms;
using Infragistics.Win.UltraWinExplorerBar;

namespace Demo.Model
{
    public interface IMasterView
    {
        string DemoTitleBar { set; }
        bool EnableNextStorySlide { set; }
        bool EnablePreviousStorySlide { set; }
        Panel PnlCipher { get; }
        Panel PnlFeatures { get; }
        PictureBox StoryBox { get; }
        string TxtDecryptedText { get; set; }
        string TxtKey { get; set; }
        string TxtPlainText { get; set; }
        string TxtRandom { get; set; }
        event EventHandler<ItemEventArgs> FeatureSelected;
        event EventHandler<EventArgs> PlainTextChanged;
        event EventHandler<EventArgs> RandomTextChanged;
        event EventHandler<EventArgs> StoryNextClicked;
        event EventHandler<EventArgs> StoryPreviousClicked;
        event EventHandler<EventArgs> ViewClosed;
        void Show();
    }
}